<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

/**
 * 邮件验证码发送
 * 
 */
class VerifyCode extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * 创建一个新实例
     * @param   Array  $data        需要传输的数据
     * @param   Array  $options     邮件配置
     * 
     * 
     * @return void
     */
    public function __construct($data=[],$options=['views'=>''])
    {
        //进行赋值
        $this->data      = $data;
        //进行赋值
        $this->options   = $options;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        // 如果有视图，获取视图
        if( !empty($this->options['views']) ) $this->view($this->options['views']);
        // 如果有数据，分配数据
        if( !empty($this->data) ) $this->with($this->data);
        // 返回自己
        return $this;
    }
}
